Bug Hunting Session
Bug 77831 - Formula editor doesn't replace %Ux#### with symbols
Summary: Formula editor doesn't replace %Ux#### with symbols
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0 target:4.2.6
Keywords: bibisected, regression
: 78602 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-04-23 20:01 UTC by Ryan Tandy
Modified: 2015-12-17 07:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Tandy 2014-04-23 20:01:21 UTC
Steps to reproduce:

1. In the Formula Editor, click ⌘ (Catalog).

2. Click Edit, choose a symbol (I used ≤ (U+2264)) and click Add.

3. Click Insert.

Expected behaviour: %Ux2264 is inserted in the formula and rendered as ≤

Actual behaviour: %Ux2264 is inserted in the formula and rendered as %Ux2264. However the built-in symbols such as %alpha are rendered correctly.

Reproduced with LibreOffice 4.2.3 on Ubuntu 12.04 and 14.04 and Windows 7. Works in 4.0.4 and 4.1.5.

Bibisect points to 704292996a3731a61339b1a4a5c90c9403aa095f as the first bad commit.
Comment 1 Ryan Tandy 2014-04-24 19:32:28 UTC
Still exists in 4.3 alpha1.
Comment 2 Jacques Guilleron 2014-04-25 16:32:59 UTC
Hello Ryan,

 I confirm this behaviour with LO 4.2.4.1 and LO 4.3.0.0.alpha0+
Build ID: d2555ebb240fea2780f152e5ea39d145aab508fe
TinderBox: Win-x86@39, Branch:master, Time: 2014-04-14_07:59:52
on Windows 7 Home Premium.
 Worked for me with LO 4.1.5.3.
 Set Status to New.

 Jacques
Comment 3 Jacques Guilleron 2014-05-13 15:39:26 UTC
*** Bug 78602 has been marked as a duplicate of this bug. ***
Comment 4 Jorendc 2014-05-25 19:05:08 UTC
(In reply to comment #0)
> Bibisect points to 704292996a3731a61339b1a4a5c90c9403aa095f as the first bad
> commit.

Can you please attach/paste the full 'git bisect log' output please? Only an end-point is not enough to have a narrow range.

Kind regards,
Joren
Comment 5 Ryan Tandy 2014-05-26 15:48:10 UTC
(In reply to comment #4)
> Can you please attach/paste the full 'git bisect log' output please? Only an
> end-point is not enough to have a narrow range.

Thank you for following up. The bisect log is:

git bisect start
# good: [c7e0dee1108fb36da59a6fc0a8b251b2e61903cc] source-hash-f160e4935c474a5293b3d3c11b3d538efb4767a0
git bisect good c7e0dee1108fb36da59a6fc0a8b251b2e61903cc
# bad: [b2301d8a19558f84a2d6e89e86cad65930f5bcf5] source-hash-60c64b437c6678dd1d3fa3a6fc2b7da0480890d4
git bisect bad b2301d8a19558f84a2d6e89e86cad65930f5bcf5
# bad: [3a65e12a62d4ac24b8b8f3527c55491a8e7a7c18] source-hash-79850f25987d12c8ee91dfd0f699a562f341bf67
git bisect bad 3a65e12a62d4ac24b8b8f3527c55491a8e7a7c18
# bad: [e772798de16c1cacdde4023b44b9bcf6cfc4b64e] source-hash-f39e8cadc74573a787641615406777da5a9e5343
git bisect bad e772798de16c1cacdde4023b44b9bcf6cfc4b64e
# good: [b7168f42b8c00fff85203f5a2753cb3aaf5c139d] source-hash-76dea8b2db906156e77f78738a68f932a15afd4b
git bisect good b7168f42b8c00fff85203f5a2753cb3aaf5c139d
# bad: [6be877f45ef42881db7aa9339aaccaeea23f5f55] source-hash-6bf79576aeca243db553ed3b5eade492dc35337b
git bisect bad 6be877f45ef42881db7aa9339aaccaeea23f5f55
# good: [a0cb8fcd1e7b120b51fdba055ee159776535fd1e] source-hash-b139f6fedfcf3cbed0eadeb007e2155b576413d2
git bisect good a0cb8fcd1e7b120b51fdba055ee159776535fd1e
# good: [5ced64ea00ae1d9fdd827e6e76f1b3540bc1cd54] source-hash-4d5fc661d37d03129b8054e494c03bed1933231d
git bisect good 5ced64ea00ae1d9fdd827e6e76f1b3540bc1cd54
# bad: [11cf0caeb23c4996ebe602687429e88ced378e0e] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect bad 11cf0caeb23c4996ebe602687429e88ced378e0e
# good: [616499008a942d9f03b898cdaa3a9024a21b0c5c] source-hash-344d80ee1d3829b28c18135ac4f0500d4b69aedd
git bisect good 616499008a942d9f03b898cdaa3a9024a21b0c5c
# first bad commit: [11cf0caeb23c4996ebe602687429e88ced378e0e] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f

Additional information:

When you click a formula element in the input area, a dotted box appears around the corresponding display element. When I observe the bug, the "%Ux" part is boxed separately from the character code digits. Maybe the bug is to do with tokenizing the input.
Comment 6 Commit Notification 2014-05-27 10:28:34 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=501e5b98ad39156cac465a161709ad38b89e3d63

Resolves: fdo#77831 use classic token rules for user-defined char (%foo)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-05-27 10:30:06 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b1378387a0e67e8196e46ee56f7c82b1e08f40a&h=libreoffice-4-3

Resolves: fdo#77831 use classic token rules for user-defined char (%foo)


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Caolán McNamara 2014-05-27 10:32:23 UTC
yeah, a tokenization problem. Fixed in master and 4.3.0 and a fix sent for review for 4-2
Comment 9 Commit Notification 2014-05-29 07:56:59 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27b6e664a6ac4de9192aaf6f0ee99ff021101d36&h=libreoffice-4-2

Resolves: fdo#77831 use classic token rules for user-defined char (%foo)


It will be available in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Jacques Guilleron 2014-05-29 19:57:55 UTC
Well done!  Caolán,

Works with LO 4.4.0.0.alpha0+
Build ID: a35d92197d850527bd294eb6197b5bf83109d5be
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-29_10:21:12
Windows 7 Home Premium

Thank you,

Jacques
Comment 11 Robinson Tryon (qubit) 2015-12-17 07:58:27 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]